summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/sfarkxtc/README3
-rw-r--r--audio/sfarkxtc/sfarkxtc.SlackBuild47
-rw-r--r--audio/sfarkxtc/sfarkxtc.info10
-rw-r--r--audio/sfarkxtc/slack-desc19
4 files changed, 79 insertions, 0 deletions
diff --git a/audio/sfarkxtc/README b/audio/sfarkxtc/README
new file mode 100644
index 0000000000..f1ab0e644c
--- /dev/null
+++ b/audio/sfarkxtc/README
@@ -0,0 +1,3 @@
+sfarkxtc is a console utility to extract sfark files on Linux. sfArk
+is a lossless audio compression format optimized for SoundFont files.
+sfArk is free for non-commercial use.
diff --git a/audio/sfarkxtc/sfarkxtc.SlackBuild b/audio/sfarkxtc/sfarkxtc.SlackBuild
new file mode 100644
index 0000000000..e551dc3e9a
--- /dev/null
+++ b/audio/sfarkxtc/sfarkxtc.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for sfarkxtc
+
+PRGNAM=sfarkxtc
+VERSION=20070326
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_lx86.tar.gz
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a sfarkxtc $PKG/usr/bin
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/sfarkxtc/sfarkxtc.info b/audio/sfarkxtc/sfarkxtc.info
new file mode 100644
index 0000000000..5d930eb16f
--- /dev/null
+++ b/audio/sfarkxtc/sfarkxtc.info
@@ -0,0 +1,10 @@
+PRGNAM="sfarkxtc"
+VERSION="20070326"
+HOMEPAGE="http://www.melodymachine.com/sfark.htm"
+DOWNLOAD="http://www.melodymachine.com/files/sfarkxtc_lx86.tar.gz"
+MD5SUM="3350e57ed3d09e9477d125dfc23e21f1"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Ben Collver"
+EMAIL="bencollver@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/audio/sfarkxtc/slack-desc b/audio/sfarkxtc/slack-desc
new file mode 100644
index 0000000000..ef68d02ea0
--- /dev/null
+++ b/audio/sfarkxtc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+sfarkxtc: sfarkxtc (a console utility to extract sfark files on Linux)
+sfarkxtc:
+sfarkxtc: sfarkxtc is a console utility to extract sfark files on Linux. sfArk
+sfarkxtc: is a lossless audio compression format optimized for SoundFont files.
+sfarkxtc: sfArk is free for non-commercial use.
+sfarkxtc:
+sfarkxtc:
+sfarkxtc:
+sfarkxtc:
+sfarkxtc:
+sfarkxtc: